# fis_lib_pdf

Flyinsono 的PDF flutter生成器  
基于 [pdf 3.8.1](https://github.com/DavBfr/dart_pdf/tree/master/pdf)  
目前具有以下功能  
1. 可进行pdf的生成  
2. 打印（移动端也有支持方案）  
3. 保存（各平台均有差异化方式）  
4. 预览放大缩小  
5. 分享（各平台均有差异化方式，目前只在移动端支持）  
6. 根据传入的Flyinsono的报告模板生成对应的PDF  
7. 根据传入的jpg进行贴图生成PDF  
8. 根据传入的pdf二进制数据生成PDF  

## Getting Started
如需调用PDF的预览、或者直接生成、直接打印、直接下载，请调用pdf的容器的F组件，如下：  
*`FPDFRenderContainer` 参数说明：*
```
{
   pdfTypeEnum：PDF类型枚举，json报告类型、贴图类型、二进制类型
   demoMode：是否为demo模式，demo模式下会有一些非生产环境下的测试行为。
   pdfAccessTypeEnum：pdf用途枚举：单纯预览、直接打印、直接下载
   pdfExporter：导出回调函数
   cacheSave：缓存pdf或缓存其他资源的回调函数
   cacheGet：下获取缓存资源的回调函数
   fromEditor：是否来自编辑器
   webSideShare：是否为web端分享行为
   fileName = "document.pdf"：pdf文件名
   useActionBar = true：是否使用操作栏
   jpgReports：jpg报告token数组
   onClose：关闭回调事件
}
```