import 'package:fis_lib_pdf/pdf_objects/pdf_container.dart';
import 'package:fis_lib_report/report_info/block_element_info_interface.dart';
import 'package:pdf/widgets.dart' as pw;

/// Pdf footer的的具体实现
/// Pdf footer 最终被输出为一个单独的Pdf组件
class PdfFooter extends PDFContainer {
  PdfFooter(List<IBlockElementInfo> elementList) : super(elementList);

  ///获得构成Footer的PDF组件
  pw.Widget getFooter() {
    return generatePDFElement();
  }
}
