import 'package:fis_lib_pdf/pdf_objects/pdf_container.dart';
import 'package:fis_lib_report/report_info/block_element_info_interface.dart';

import 'package:pdf/widgets.dart' as pw;

/// Pdf header的具体实现
/// Pdf header 最终被输出为一个单独的Pdf组件
class PdfHeader extends PDFContainer {
  PdfHeader(List<IBlockElementInfo> elementList) : super(elementList);

  ///获得构成Header的PDF组件
  pw.Widget getHeader() {
    return generatePDFElement();
  }
}
